Update a view
curl --request PATCH \
--url https://api.lunary.ai/v1/views/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated LLM View",
"data": [
"AND",
{
"id": "models",
"params": {
"models": [
"gpt-4",
"gpt-3.5-turbo"
]
}
}
],
"icon": "user"
}
'{
"id": "1234abcd",
"name": "Updated LLM View",
"data": [
"AND",
{
"id": "models",
"params": {
"models": [
"gpt-4",
"gpt-3.5-turbo"
]
}
}
],
"columns": [],
"icon": "user",
"type": "llm",
"projectId": "project123",
"ownerId": "user456",
"updatedAt": "2023-04-02T10:15:00Z"
}Views
Update a view
Updates an existing view with the provided details.
PATCH
/
v1
/
views
/
{id}
Update a view
curl --request PATCH \
--url https://api.lunary.ai/v1/views/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated LLM View",
"data": [
"AND",
{
"id": "models",
"params": {
"models": [
"gpt-4",
"gpt-3.5-turbo"
]
}
}
],
"icon": "user"
}
'{
"id": "1234abcd",
"name": "Updated LLM View",
"data": [
"AND",
{
"id": "models",
"params": {
"models": [
"gpt-4",
"gpt-3.5-turbo"
]
}
}
],
"columns": [],
"icon": "user",
"type": "llm",
"projectId": "project123",
"ownerId": "user456",
"updatedAt": "2023-04-02T10:15:00Z"
}Authorizations
Use a project private API key via Authorization: Bearer <key>.
Path Parameters
Body
application/json
Response
200 - application/json
Successful response
Example:
"1234abcd"
Example:
"LLM Conversations"
Example:
[
"AND",
{
"id": "models",
"params": { "models": ["gpt-4"] }
}
]
Example:
"chat"
Available options:
llm, thread, trace Example:
"llm"
Example:
"project123"
Example:
"user456"
Example:
"2023-04-01T12:00:00Z"